Bug 739908

Summary: Review Request: python-wordpress-xmlrpc - WordPress XML-RPC API Integration Library
Product: [Fedora] Fedora Reporter: Matthias Runge <mrunge>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: notting, package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: python-wordpress-xmlrpc-1.5-1.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-10-04 21:18:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 739832    

Description Matthias Runge 2011-09-20 11:49:17 UTC
Spec URL: http://www.matthias-runge.de/fedora/python-wordpress-xmlrpc.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-wordpress-xmlrpc-1.5-1.fc15.src.rpm
Description: 
Python library to interface with a WordPress blog's XML-RPC API.

An implementation of the standard WordPress API methods is provided, but the library is designed for easy integration with custom XML-RPC API methods provided by plugins.

A set of classes are provided that wrap the standard WordPress data types (e.g., Blog, Post, User). The provided method implementations return these objects when possible.

----
rpmlint -i /home/mrunge/rpmbuild/SRPMS/python-wordpress-xmlrpc-1.5-1.fc15.src.rpm /home/mrunge/rpmbuild/RPMS/noarch/python-wordpress-xmlrpc-1.5-1.fc15.noarch.rpm ./python-wordpress-xmlrpc.spec 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Parag AN(पराग) 2011-09-20 12:58:09 UTC
Review:-
+ koji build ->  http://koji.fedoraproject.org/koji/taskinfo?taskID=3364104
+ rpmlint output is silent.
+ source is verified with upstream as (sha1sum)
b18fb328ba24e962446b6baf7cc197ca686779c4  python-wordpress-xmlrpc-1.5.tar.gz
b18fb328ba24e962446b6baf7cc197ca686779c4  ../SOURCES/python-wordpress-xmlrpc-1.5.tar.gz

+ rest looks ok.


Suggestion:
1) you can remove the python_sitelib macro as it is not needed for Fedora
spec. See http://fedoraproject.org/wiki/Packaging:Python#Macros

APPROVED.

Comment 2 Matthias Runge 2011-09-20 19:52:31 UTC
Thanks for the quick review and thanks for the hint. I'll remove the python_sitelib macro. 

New Package SCM Request
=======================
Package Name: python-wordpress-xmlrpc
Short Description: WordPress XML-RPC API Integration Library
Owners: mrunge
Branches: f15 f16 el6

Comment 3 Gwyn Ciesla 2011-09-20 20:01:15 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-09-21 20:27:40 UTC
python-wordpress-xmlrpc-1.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-wordpress-xmlrpc-1.5-1.fc16

Comment 5 Fedora Update System 2011-09-21 20:28:32 UTC
python-wordpress-xmlrpc-1.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-wordpress-xmlrpc-1.5-1.fc15

Comment 6 Fedora Update System 2011-09-21 20:30:10 UTC
python-wordpress-xmlrpc-1.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-wordpress-xmlrpc-1.5-1.el6

Comment 7 Fedora Update System 2011-09-24 20:51:15 UTC
python-wordpress-xmlrpc-1.5-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 8 Fedora Update System 2011-10-04 21:18:29 UTC
python-wordpress-xmlrpc-1.5-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 9 Fedora Update System 2011-10-05 03:51:06 UTC
python-wordpress-xmlrpc-1.5-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 10 Fedora Update System 2011-10-11 02:02:10 UTC
python-wordpress-xmlrpc-1.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.